#ifndef LINE_H
#define LINE_H

#ifdef __BORLANDC__
#pragma warn -8004
#pragma warn -8012
#endif

#define END_OF_FILE 2
#define FILE_ERROR -1L
#define FILE_NAME_SIZE 255
#define LINE_COUNT_ERROR -1
#define NOT_FOUND -1
#define SEPARATOR_SIZE 1
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "bool_true.h"

BOOL reading_fields(char *file_name, int buffer_size, int line_count, int point, int separator, BOOL measure);
BOOL reading_lines(char *file_name, int buffer_size, int line_count, int line_number, int maximum_line_length, int point, BOOL measure);
int check_line_count(int line_count, BOOL stop);
int maximum_LF_to_LF_span(int *line_count, int *line_number, BOOL *carriage_return, char *buffer, int buffer_size);
int maximum_separator_to_separator_span(int *p, char *buffer, int buffer_size, int separator);
long file_size(char *file_name);

#endif /* LINE_H */
