CC        = bcc32
LINKER    = ilink32
RC        = brcc32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"
RFLAGS = -32

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = narfi.exe
OBJS   = dividing.obj extract.obj guide.obj leaf.obj line.obj narfiMain.obj numbered.obj select.obj standard_io.obj
RESFILES = narfiResource.res

ALL : $(TARGET)

dividing.obj: dividing.c
	$(CC) $(INCLUDE) -c dividing.c
extract.obj: extract.c
	$(CC) $(INCLUDE) -c extract.c
guide.obj: guide.c
	$(CC) $(INCLUDE) -c guide.c
leaf.obj: leaf.c
	$(CC) $(INCLUDE) -c leaf.c
line.obj: line.c
	$(CC) $(INCLUDE) -c line.c
narfimain.obj: narfiMain.c
	$(CC) $(CFLAGS) $(INCLUDE) -c narfiMain.c
narfiResource.res: narfiResource.rc
	$(RC) $(RFLAGS) narfiResource.rc
numbered.obj: numbered.c
	$(CC) $(INCLUDE) -c numbered.c
select.obj: select.c
	$(CC) $(INCLUDE) -c select.c
standard_io.obj: standard_io.c
	$(CC) $(INCLUDE) -c standard_io.c

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
	del *.res
